Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi
Class NotBoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.rmi.NotBoundException

All Implemented Interfaces:
  Serializable

    public class NotBoundException

extends Exception

A `NotBoundException` is thrown if an attempt is made to lookup or unbind in the registry a name that has no associated binding.

Since:
  JDK1.1
See Also:
  `Naming.lookup(String)`, `Naming.unbind(String)`, `Registry.lookup(String)`, `Registry.unbind(String)`, Serialized Form

Constructor Summary
`NotBoundException()` Constructs a `NotBoundException` with no specified detail message.
`NotBoundException(String s)` Constructs a `NotBoundException` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotBoundException

    public NotBoundException()

  Constructs a `NotBoundException` with no specified detail message.

  Since:
    JDK1.1

### NotBoundException

    public NotBoundException(String s)

  Constructs a `NotBoundException` with the specified detail message.

  Parameters:
    `s` - the detail message
  Since:
    JDK1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.